/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockContext = testResource.requireMockModule('mock_modules/mock_context'),
    defineResSomethingWrong = require('../../../../serverside/response/define_res_something_wrong.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Define something wrong.'] = function (test) {
    var somethingWrong = defineResSomethingWrong(mockContext({
        SOMETHING_WRONG_STATUS_CODE: 503,
        EN_SOMETHING_WRONG_HTML_PATH: testResource.resolveMockFile('mock-html.html'),
        SUPPORTED_LANGS: 'en',
        DEFAULT_LANG: 'en'
    }));
    test.ok(somethingWrong);
    test.done();
};